Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata
Class BaseMetadataProvider

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataProvider

Direct Known Subclasses:
  MdmMetadataProvider

public class BaseMetadataProvider
extends java.lang.Object

An object that gives access to the metadata for a data store. A database administrator creates multidimensional model (MDM) metadata, which is supported by Oracle OLAP, in the OLAP Catalog. You can also create or modify Oracle OLAP metadata with the classes in the `oracle.olapi.metadata.mdm` and `oracle.olapi.metadata.mtm` packages. The `MdmMetadataProvider` subclass of `BaseMetadataProvider` provides access to Oracle OLAP metadata.

Method Summary
`void` | `flushDeletedObjects()` Frees the resources in your OLAP API client application for any objects that were deleted from cached metadata because of a call to the `update` method.
`DataProvider` | `getDataProvider()` Gets the `DataProvider` that is associated with this `BaseMetadataProvider`.
`java.lang.String` | `getID()` Gets the unique identifier for this `BaseMetadataProvider`.
`boolean` | `supportsMetadataUpdate()` Indicates that Oracle OLAP supports the creation or modification of metadata objects by classes in the `oracle.olapi.metadata.mdm` and `oracle.olapi.metadata.mtm` packages.
`void` | `update()` Updates the metadata that Oracle OLAP has cached.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### flushDeletedObjects

    public final void flushDeletedObjects()

  Frees the resources in your OLAP API client application for any objects that were deleted from cached metadata because of a call to the `update` method. It is not necessary to call this method after you call `update`; however, resources for deleted objects are not freed until you call `flushDeletedObjects` or exit your program. If you are not concerned about resources, you do not need to call this method.

### getDataProvider

    public DataProvider getDataProvider()

  Gets the `DataProvider` that is associated with this `BaseMetadataProvider`. This is the `DataProvider` that was specified when this `BaseMetadataProvider` was created.
  Returns:
    The `DataProvider` that is associated with this `BaseMetadataProvider`.

### getID

    public java.lang.String getID()

  Gets the unique identifier for this `BaseMetadataProvider`.
  Returns:
    The unique identifier for this `BaseMetadataProvider`.

### update

    public final void update()

  Updates the metadata that Oracle OLAP has cached. After calling this method, you can call the `flushDeletedObjects` method to free resources that are no longer needed by your application.

### supportsMetadataUpdate

    public final boolean supportsMetadataUpdate()

  Indicates that Oracle OLAP supports the creation or modification of metadata objects by classes in the `oracle.olapi.metadata.mdm` and `oracle.olapi.metadata.mtm` packages.
  Returns:
    `true` if Oracle OLAP supports the updating of metadata and `false` if it does not.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.